Fetch All Saved Payment Cards
Enables a user to fetch all saved payment cards
- Type: stringx
-pch -digest requiredThe signature for the API call
- Type: stringContent
- Type requiredSet this header to application/json.
- Type: stringAccept
- Language Preferred language
- Type: stringUser
- Agent requiredUsed to identify the software, device, and application initiating the request, providing information about the client to the server. For details, see User Agent.
- Type: stringpunchh
-app -device -id requiredThe app device ID helps Punchh identify each device so that certain rewards can be awarded individually to each device instead of per user. For example, the sign-up reward is given to each device ID to prevent fraudulent sign-ups so that a user cannot do repeated sign-ups from a single device to get rewards. It should not change even if the user resets a device. See the sample code to generate the punchh-app-device-id header.
- Type: stringAuthorizationrequired
Used to authorize the request with access_token. It should be supplied as
Bearer ACCESS_TOKEN_GOES_HERE. - Type: stringAcceptrequired
Advertises which content types the client is able to understand
- Type: stringadapter
_code requiredName of the payment processor / payment gateway. Valid value is par_payment.
- Type: stringclientrequired
OAuth client ID provided by the business
- Type: stringpasscode
Passcode is a secondary authentication PIN that must be passed if it is enabled for a business. The passcode can be enabled or disabled from the Punchh platform.
- application/json
- application/json
- application/json
- application/json
curl https://SERVER_NAME_GOES_HERE.punchh.com/api2/mobile/payment_cards \
--header 'x-pch-digest: {{$$.env.signature}}' \
--header 'Content-Type: application/json' \
--header 'Accept-Language: en' \
--header 'User-Agent: AppName/AppVersion/BuildNumber (OS; Model; MANUFACTURER; MODEL; OS Version)' \
--header 'punchh-app-device-id: APP_DEVICE_ID_GOES_HERE' \
--header 'Authorization: Bearer ACCESS_TOKEN_GOES_HERE' \
--header 'Accept: application/json' \
--data '{
"client": "<CLIENT_ID_GOES_HERE>",
"adapter_code": "<ADAPTER_CODE_GOES_HERE>",
"passcode": "<PASSCODE_GOES_HERE>"
}'
[
{
"uuid": "<UUID_GOES_HERE>",
"nickname": "<NICKNAME_GOES_HERE>",
"card_details": {
"name_on_card": "<CARDHOLDER_NAME_GOES_HERE>",
"cc_4": "4242",
"card_type": "Visa",
"expiry_month": "02",
"expiry_year": "28"
},
"preferred": true
},
{
"uuid": "<UUID_GOES_HERE>",
"nickname": "<NICKNAME_GOES_HERE>",
"card_details": {
"name_on_card": "<CARDHOLDER_NAME_GOES_HERE>",
"cc_4": "1111",
"card_type": "Visa",
"expiry_month": "06",
"expiry_year": "29"
},
"preferred": true
}
]